Skip to main content
POST
/
v1
/
pathway
/
folders
Create Folder
curl --request POST \
  --url https://app.luly.ai/api/v1/pathway/folders \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --data '
{
  "name": "<string>",
  "parent_folder_id": "<string>"
}
'
import requests

url = "https://app.luly.ai/api/v1/pathway/folders"

payload = {
"name": "<string>",
"parent_folder_id": "<string>"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parent_folder_id: '<string>'})
};

fetch('https://app.luly.ai/api/v1/pathway/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}

Headers

authorization
string
required
Your API key for authentication.

Body Parameters

name
string
required
The name of the new folder.
parent_folder_id
string
required
The ID of the version to be deleted.

Response

folder_id
string
The unique identifier of the newly created folder.
name
string
The name of the newly created folder.
parent_folder_id
string
The ID of the parent folder, if applicable.
{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}